/*
 * Copyright (C) 2019-2024 B.R.S. Roso.
 * 
 * Musp is free software: you can redistribute it and/or modify it under the
 * terms of the GNU General Public License version 3 as published by the Free
 * Software Foundation.
 * 
 * This program is distributed in the hope that it be useful but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
 * A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * Musp.  If not, see <https://www.gnu.org/licenses/>.
 */

#include <unistd.h>

#include "muspd.h"

/* Fill buffer as much as possible. */
inline extern ssize_t readall(int fd, char *buf, size_t siz);

/* Write all of buf. */
inline extern ssize_t writeall(int fd, const char *buf, size_t siz);

/* Compare two metadatas.
 * Note that the fields `samples' are NOT compared.
 * This is important in pb.c. */
inline extern int metacmp(const struct meta *m1, const struct meta *m2);
