/*
 * Copyright (C) 2019-2024 B.R.S. Roso.
 * 
 * Musp is free software: you can redistribute it and/or modify it under the
 * terms of the GNU General Public License version 3 as published by the Free
 * Software Foundation.
 * 
 * This program is distributed in the hope that it be useful but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
 * A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * Musp.  If not, see <https://www.gnu.org/licenses/>.
 */

#include <unistd.h>
#include <string.h>

#ifndef MUSPDEC
#define MUSPDEC "muspdec"
#endif

int main(int argc, char *argv[])
{
	if (argc == 1)
		return 1;
	char * const ext = strrchr(argv[argc - 1], '.');
	if (ext == NULL)
		return 1;
	const size_t ext_len = strlen(ext);
	const size_t muspdec_len = strlen(MUSPDEC);
	char prog[muspdec_len + ext_len + 1];
	strcpy(prog, MUSPDEC);
	strcpy(prog + muspdec_len, ext);

	return execvp(prog, argv);
}
